---
title: "List namespaces"
url: https://hexelstudio.com/docs/api/ciam-iam/namespaces/list
---

# List namespaces

**GET** `/namespaces`

Lists the namespaces of the caller's organization.

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of Namespace`)

- `created_at: optional string`

- `deleted_at: optional DeletedAt`

  - `time: optional string`

  - `valid: optional boolean`

    Valid is true if Time is not NULL

- `id: optional string`

- `name: optional string`

  e.g. "document", "folder", "workspace"; unique within the organization (migration 037)

- `organization_id: optional string`

- `relations: optional string`

  schema: {"owner":{"this":{}},"editor":{"union":["owner"]},"viewer":{"union":["editor"]}}

- `updated_at: optional string`

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/namespaces' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "created_at": "2026-01-01T00:00:00Z",
    "deleted_at": {
      "time": "string",
      "valid": true
    },
    "id": "string",
    "name": "string",
    "organization_id": "string",
    "relations": "string",
    "updated_at": "2026-01-01T00:00:00Z"
  }
]
```
